import * as $dara from '@darabonba/typescript';
import { ModifyInstanceMetadataOptionsResponseBody } from "./ModifyInstanceMetadataOptionsResponseBody";
export declare class ModifyInstanceMetadataOptionsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyInstanceMetadataOptionsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
